<div class="card">
    <h4 class="card-header">Creare internare pentru pacientul {{patient?.name}}</h4>
    <div class="card-body">
        <form [formGroup]="createStayForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="startDate">Dată internare</label>
                <input type="datetime-local" formControlName="startDate" id="startDate" class="form-control" />
                <div *ngIf="fields.startDate.touched && fields.startDate.invalid" class="alert alert-danger">
                    <div *ngIf="fields.startDate.errors!.required">Data internării este necesară.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="endDate">Dată externare</label>
                <input type="datetime-local" formControlName="endDate" id="endDate" class="form-control" />
                <div *ngIf="fields.endDate.touched && fields.endDate.invalid" class="alert alert-danger">
                    <div *ngIf="fields.endDate.errors!.required">Data externării este necesară.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="room">Salon</label>
                <select formControlName="room" id="room" class="form-control" (change)="updateRoomId($event.target.value)">
                    <option *ngFor='let room of rooms' value="{{room.id}}">{{room.type}}, etaj {{room.floor}}</option>
                </select>
                <div *ngIf="fields.room.touched && fields.room.invalid" class="alert alert-danger">
                    <div *ngIf="fields.room.errors!.required">Salonul este necesar.</div>
                </div>
            </div>
            <button type="submit" [disabled]="!createStayForm.valid" class="btn btn-primary">
                <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                Creare
            </button>
        </form>
    </div>
</div>
